import type { FvSearchInput } from '..';
/**
 * Page object for the `ok-fv-search-input` component to provide consistent
 * ways of querying and interacting with the component during tests.
 */
export declare class FvSearchInputPageObject {
    protected readonly searchInputElement: FvSearchInput;
    constructor(searchInputElement: FvSearchInput);
    getInputValue(): string;
    getPlaceholder(): string;
    getInputAriaLabel(): string | null;
    getInputAriaLabelledby(): string | null;
    typeText(text: string): Promise<void>;
    commitText(text: string): Promise<void>;
    clickClearButton(): Promise<void>;
    isClearButtonVisible(): boolean;
    isInputDisabled(): boolean;
    isInputReadOnly(): boolean;
    isInputAutofocus(): boolean;
    private getInput;
    private getClearButton;
}
